import '../../../../elements/inline-controls/kano-value-rendering/kano-value-rendering.js';
import { LitElement } from 'lit-element';
export declare class KCMicrophoneDisplay extends LitElement {
    value: number;
    private canvas;
    private ctx?;
    private _nextFrameId;
    private prevTimestamp;
    values: number[];
    static readonly styles: import("lit-element").CSSResult;
    addValue(v: number): void;
    render(): import("lit-element").TemplateResult;
    firstUpdated(): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    resize(): void;
    _initCanvas(): void;
    static getY(x: number, height: number, yScale: number): number;
    _render(timestamp?: number): void;
}
